Bug 1733209 - ipa-client-automount needs option to specify domain
Summary: ipa-client-automount needs option to specify domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 7.8
Assignee: François Cami
QA Contact: ipa-qe
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1687951
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 12:38 UTC by François Cami
Modified: 2020-03-31 19:56 UTC (History)
15 users (show)

Fixed In Version: ipa-4.6.6-1.el7
Doc Type: Enhancement
Doc Text:
.The `ipa-client-automount` utility now supports setting an NFS domain that differs from the IdM domain This enhancement adds the `--idmap-domain` option to the `ipa-client-automount` utility. Previously, `ipa-client-automount` assumed that the NFS domain is the same as the Identity Management (IdM) domain, but this is not always the case. As a result, you can now specify an NFS domain that is different from the IdM domain. The `ipa-client-automount` utility now behaves as follows: * If `--idmap-domain` option is not set, `ipa-client-automount` uses the IdM domain as the NIS domain. * If the domain passed to `--idmap-domain` is set to `DNS`, `ipa-client-automount` removes the value specified in the `Domain` parameter in the `/etc/idmapd.conf` file, and the `idmapd` service auto-detects the domain. * If the domain passed to `--idmap-domain` does not match the DNS domain, `ipa-client-automount` sets the specified value in the `Domain` parameter in the `/etc/idmapd.conf` file.
Clone Of: 1687951
Environment:
Last Closed: 2020-03-31 19:55:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1083 None None None 2020-03-31 19:56:18 UTC

Comment 9 Sergey Orlov 2019-11-15 13:49:48 UTC
Fix verified using automated test ipatests/test_integration/test_nfs.py
Using latest RHEL7.8 compose  RHEL-7.8-20191114.n.0

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.8 Beta (Maipo)

# rpm -q ipa-client
ipa-client-4.6.6-9.el7.x86_64

============================= test session starts ==============================
platform linux2 -- Python 2.7.5, pytest-4.6.6, py-1.8.0, pluggy-0.13.0 -- /usr/bin/python2
cachedir: .pytest_cache
metadata: {'Python': '2.7.5', 'Platform': 'Linux-3.10.0-1111.el7.x86_64-x86_64-with-redhat-7.8-Maipo', 'Packages': {'py': '1.8.0', 'pytest': '4.6.6', 'pluggy': '0.13.0'}, 'Plugins': {u'html': u'1.22.0', u'multihost': u'1.1', u'sourceorder': u'0.5', u'metadata': u'1.8.0'}}
rootdir: /usr/lib/python2.7/site-packages/ipatests
plugins: metadata-1.8.0, html-1.22.0, multihost-1.1, sourceorder-0.5
collecting ... collected 4 items

test_integration/test_nfs.py::TestNFS::test_prepare_users PASSED         [ 25%]
test_integration/test_nfs.py::TestNFS::test_krb5_nfsd PASSED             [ 50%]
test_integration/test_nfs.py::TestNFS::test_krb5_nfs_manual_configuration PASSED [ 75%]
test_integration/test_nfs.py::TestNFS::test_automount PASSED             [100%]

=============================== warnings summary ===============================

Comment 12 errata-xmlrpc 2020-03-31 19:55:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1083


Note You need to log in before you can comment on or make changes to this bug.